Page MenuHomePhabricator

Update build instructions in README
Closed, InvalidPublic

Description

In the README at the build instructions the "configure" script is mentioned instead of autogen.sh.
Maybe autoconf should be mentioned as build requirement, too.

diff --git a/README b/README
index 9d0b03cb66..9296fe278b 100644
--- a/README
+++ b/README
@@ -422,7 +422,7 @@ libc calls not in Mingw32 that EFL needs.
 COMPILING AND INSTALLING
 ------------------------
 
-    ./configure
+    ./autogen.sh
     make
     sudo make install
escwyp created this task.Jun 30 2018, 3:21 PM
raster closed this task as Invalid.Jun 30 2018, 9:18 PM
raster added a subscriber: raster.

the README is for a release... and a release has a generated configure script in the tarball. that is the whole point of autoconf. to generate everything and then the user of the release needs no autotools installed. asking users to use autogen.sh goes against exactly what autotools was designed to do. :(m of course grabbing from git master is different - it assumes you are capable of knowing how to build things from development and thus know what autogen.sh would do etc.